*.p12 certifikat i Safari får programmet att krascha

Tråden skapades och har fått 6 svar. Det senaste inlägget skrevs .
1
  • Medlem
  • Uppsala
  • 2012-01-30 16:08

Hej!

För jobbet behöver jag komma in på en hemsida som kräver certifiering och jag har då certifikatet i en *.p12-fil.
På Windows är det inga konstigheter att använda detta men jag vill ganska självklart kunna använda det på min Mac för att slippa att beblanda mig med Windows så långt det går.

Lade in filen med nyckel i min Keychain och provade sedan att ansluta till webbplatsen, detta får då Safari att krascha omgående vid varje försök. (Innan så vägrade Safari bara att ansluta till sidan.)
Drog sedan igång FireFox och lade till certifikatet direkt i programmet men då fick jag inte möjligheten att skiva in nyckel till certifikatet och webbplatsen säger bara att jag saknar certifikat så antar att det blev misslyckat att lägga till i FireFox.

Är det värt att skaffa någon annan webbläsare och prova där? Kan det gå att lösa med Safari (som jag föredrar) eller måste jag försöka exportera *.p12-filen till *.cer-format via Windows?

Alla förslag är varmt välkommna!

Mvh

  • Medlem
  • Sollentuna
  • 2012-01-30 18:34

Jag har lagt in en p12-fil i Keychain Access (på Leopard och Snow Leopard-tiden) och då gick det bra. Ingen krasch på Safari vad jag kan minnas. Det gick bla att logga in på SKV, FK etc.

Men, för att köra "p12" så skall man väl ha säkerhetsprogrammet som bl a handelsbanken använde förut.
"personal" heter det.

Ursprungligen av Goflorp:

Men, för att köra "p12" så skall man väl ha säkerhetsprogrammet som bl a handelsbanken använde förut.
"personal" heter det.

Nej då, PKCS#12 är bara ett standardiserat sätt att packa ihop nycklar och certifikat i en fil och inte knutet till vissa program. När man väl har importerat det till nyckelringen saknar det betydelse.

Kolla så att du har senaste Safari (5.1.2). KCA-certifikat kunde sänka Safari version 5.1. Apple väljer att kalla det "improved stability" och går sällan ut med detaljerna, men se t.ex. här.

  • Medlem
  • Uppsala
  • 2012-01-31 10:49

Kan ju tillägga att jag kör Snow Leopard.
Får kolla Safari-versionen när jag kommer hem sen men det är mycket möjligt att det inte är helt uppdaterat.
Om det vore så enkelt som att uppdatera till x.x.2 så vore det trevligt.
Tack för hjälpen!

  • Medlem
  • Uppsala
  • 2012-02-03 09:02

Update:
Uppdaterade till 5.1.2 och yes, det fick det att fungera, nästan.
Jag kommer nu åt sidan utan att Safari kraschar och jag kan surfa runt inne på den utan problem. Däremot så hela anledningen till att jag vill komma åt sidan är att använda ett verktyg (java-applet) som också kräver att man godkänner med certifikatet. Här går det inte riktigt hela vägen
Verktygen öppnas i ett nytt litet fönster och jag får upp en rutan om att godkänna eller avböja (alternativt visa) certifikatet, godkänner det och kommer vidare lite. Då ploppar detta fönster upp (se bild):
.

Och det är inte det lättaste att välja ett certifikat i listan när listan är tom.
Har någon här någon aning om hur jag kan lösa detta nu?

1
Bevaka tråden